## krita 5.2.3+dfsg

=== debian/changelog ===
krita (1:5.2.3+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable upstream_Bump-SIP-ABI-version-to-12.8.patch.
  * Restore libopencolorio-dev B-D.
  * Add fix-jxl-build.patch

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Jul 2024 16:25:46 -0700

krita (1:5.2.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to the stable releases.
  * Switch Vcs-* fields back to 'master'.
  * Update the patches:
    - upstream_Bump-SIP-ABI-version-to-12.8.patch: refresh
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Jun 2024 05:24:01 +0200

krita (1:5.2.3~beta1+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jun 2024 08:31:08 +0200

krita (1:5.2.2+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes required.
  * Temporarily disable the LUT docker, as it needs OpenColorIO, which is out
    of testing because openvdb has RC bugs
    - comment out the libopencolorio-dev build dependency
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Drop non-existing files from copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 08 May 2024 10:00:35 +0200

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev (>= 1.65~),
               libeigen3-dev (>= 3.3.0~),
               libexiv2-dev (>= 0.16~),
               libfftw3-dev,
               libfontconfig-dev (>= 2.13.1~),
               libfreetype-dev (>= 2.10.0~),
               libfribidi-dev,
               libgif-dev,
               libgsl-dev,
               libharfbuzz-dev (>= 4.0.0~),
               libheif-dev (>= 1.11.0~),
               libimmer-dev,
               libjpeg-dev,
               libjxl-dev (>= 0.7.0-1~) [linux-any],
               libkf5completion-dev (>= 5.44.0),
               libkf5config-dev (>= 5.44.0),
               libkf5coreaddons-dev (>= 5.44.0),
               libkf5crash-dev (>= 5.44.0),
               libkf5guiaddons-dev (>= 5.44.0),
               libkf5i18n-dev (>= 5.44.0),
               libkf5itemviews-dev (>= 5.44.0),
               libkf5kdcraw-dev,
               libkf5widgetsaddons-dev (>= 5.44.0),
               libkf5windowsystem-dev (>= 5.44.0),
               libkseexpr-dev (>= 4.0.0.0~),
               liblager-dev,
               liblcms2-dev (>= 2.4~),
               libmlt++-dev (>= 7~),
               libmlt-dev (>= 7~),
               libmypaint-dev (>= 1.4.0~),
               libopencolorio-dev (>= 1.1.1~),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev (>= 5.12.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               libquazip5-dev (>= 0.6~),
               libsdl2-dev,
               libtiff-dev,
               libturbojpeg0-dev (>= 1:2.1.3~),
               libunibreak-dev (>= 5.0~),
               libwebp-dev (>= 1.2.0~),
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxsimd-dev (>= 8.1.0~) [any-amd64 any-arm64],
               libzug-dev,
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sipbuild,
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               sip-tools,
               xtl-dev [any-amd64 any-arm64],
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends},
         python3-pyqt5,
         qml-module-qtmultimedia,
         krita-l10n (>= ${source:Version})
Suggests: colord, ffmpeg
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

## krita 5.2.5+dfsg

=== debian/changelog ===
krita (1:5.2.5+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 Sep 2024 04:29:53 -0700

=== debian/control ===
--- 
+++ 
@@ -79,12 +79,12 @@
 Architecture: any
 Section: graphics
 Depends: krita-data (>= ${source:Version}),
+         krita-l10n (>= ${source:Version}),
          libqt5sql5-sqlite,
-         ${misc:Depends},
-         ${shlibs:Depends},
          python3-pyqt5,
          qml-module-qtmultimedia,
-         krita-l10n (>= ${source:Version})
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: colord, ffmpeg
 Description: pixel-based image manipulation program
  Krita is a creative application for raster images. Whether you want to create

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF -DENABLE_UPDATERS=OFF -DKRITA_ENABLE_PCH=OFF

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove development headers
	rm -rfv debian/tmp/usr/include/

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

.PHONY: override_dh_auto_test

## krita 5.2.6+dfsg

=== debian/changelog ===
krita (1:5.2.6+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Oct 2024 21:29:39 -0700

krita (1:5.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2024 19:07:01 +0200

krita (1:5.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * CI: make the build non-verbose, so the build log fits within the salsa
    limits.
  * Update the build dependencies according to the upstream build system:
    - bump libfreetype-dev to 2.11.0
  * Do not exclude the '3rdparty' directory anymore when repacking, as it is
    practically empty now.
  * Do not exclude the 'winquirks' directory anymore when repacking, as it
    contains only one GPL 3 source used only on Windows.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2024 06:54:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libexiv2-dev (>= 0.16~),
                libfftw3-dev,
                libfontconfig-dev (>= 2.13.1~),
-               libfreetype-dev (>= 2.10.0~),
+               libfreetype-dev (>= 2.11.0~),
                libfribidi-dev,
                libgif-dev,
                libgsl-dev,
@@ -38,7 +38,7 @@
                libmlt++-dev (>= 7~),
                libmlt-dev (>= 7~),
                libmypaint-dev (>= 1.4.0~),
-               libopencolorio-dev (>= 1.1.1~),
+#               libopencolorio-dev (>= 1.1.1~),
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.3.0~),
                libpng-dev,
@@ -79,13 +79,12 @@
 Architecture: any
 Section: graphics
 Depends: krita-data (>= ${source:Version}),
-         krita-l10n (>= ${source:Version}),
          libqt5sql5-sqlite,
-         python3-pyqt5,
-         qml-module-qtmultimedia,
          ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: colord, ffmpeg
+         ${shlibs:Depends},
+         python3-pyqt5, qml-module-qtmultimedia
+# Recommends: python3-pyqt5, qml-module-qtmultimedia
+Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Description: pixel-based image manipulation program
  Krita is a creative application for raster images. Whether you want to create
  from scratch or work with existing images, Krita is for you. You can work with

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@ --with kf5
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF -DENABLE_UPDATERS=OFF -DKRITA_ENABLE_PCH=OFF
+	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF \
+	                           -DBUILD_TESTING=OFF \
+	                           -DENABLE_UPDATERS=OFF \
+	                           -DKRITA_ENABLE_PCH=OFF
 
 execute_after_dh_auto_install:
 	# remove symlinks of private libraries

## krita 5.2.9%2Bdfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)

set(SUPPORTED_LANGUAGES CXX C)

if (APPLE)
    list (APPEND SUPPORTED_LANGUAGES OBJC OBJCXX)
endif()

project(krita LANGUAGES ${SUPPORTED_LANGUAGES})
message(STATUS "Using CMake version: ${CMAKE_VERSION}")

set(MIN_QT_VERSION 5.12.0)
set(MIN_FRAMEWORKS_VERSION 5.44.0)

set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

if (POLICY CMP0002)
    cmake_policy(SET CMP0002 NEW)
endif()

if (POLICY CMP0017)
    cmake_policy(SET CMP0017 NEW)
endif ()

if (POLICY CMP0020)
    cmake_policy(SET CMP0020 NEW)
endif ()

if (POLICY CMP0022)
    cmake_policy(SET CMP0022 NEW)
endif ()

if (POLICY CMP0026)
    cmake_policy(SET CMP0026 NEW)
endif()

if (POLICY CMP0042)
    cmake_policy(SET CMP0042 NEW)
endif()

if (POLICY CMP0046)
    cmake_policy(SET CMP0046 NEW)
endif ()

if (POLICY CMP0059)
    cmake_policy(SET CMP0059 NEW)
endif()

if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

if (POLICY CMP0054)
    cmake_policy(SET CMP0054 NEW)
endif()

if (POLICY CMP0064)
    cmake_policy(SET CMP0064 NEW)
endif()

if (POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

if (POLICY CMP0135)
    cmake_policy(SET CMP0135 NEW)
endif()

if (APPLE)
    add_subdirectory(packaging/macos)
    set(MACOSX_RPATH TRUE)
    set(APPLE_SUPPRESS_X11_WARNING TRUE)
    set(KDE_SKIP_RPATH_SETTINGS TRUE)
    set(CMAKE_FIND_FRAMEWORK LAST)
    set(CMAKE_MACOSX_RPATH 1)
    set(BUILD_WITH_INSTALL_RPATH 1)
    set(MACOS_GUI_TEST "GUI")
    add_definitions(-mmacosx-version-min=10.13 -Wno-macro-redefined -Wno-deprecated-register)
    if (CMAKE_OSX_ARCHITECTURES)
        message(STATUS "CMake OSX architectures: ${CMAKE_OSX_ARCHITECTURES}")
    endif()

endif()

function(macos_test_fixrpath)
    if (APPLE AND BUILD_TESTING)
    foreach(TEST IN LISTS ARGN)
        set_property(TARGET ${TEST}
                     PROPERTY BUILD_RPATH "@loader_path/../../../../lib;@loader_path/../lib;@loader_path/../Frameworks;${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
    endforeach()
    endif()
endfunction()

if (CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9 AND NOT WIN32)
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-Wno-suggest-override> -Wextra -Wno-class-memaccess)
endif()

 ######################
#######################
## Constants defines ##
#######################
######################

# define common versions of Krita applications, used to generate kritaversion.h
# update these version for every release:
set(KRITA_VERSION_STRING "5.2.9")
# Major version: 3 for 3.x, 4 for 4.x, etc.
set(KRITA_STABLE_VERSION_MAJOR 5)
# Minor version: 0 for 4.0, 1 for 4.1, etc.
set(KRITA_STABLE_VERSION_MINOR 2)
# Bugfix release version, or 0 for before the first stable release
set(KRITA_VERSION_RELEASE 9)
# the 4th digit, really only used for the Windows installer:
# - [Pre-]Alpha: Starts from 0, increment 1 per release
# - Beta: Starts from 50, increment 1 per release
# - Stable: Set to 100, bump to 101 if emergency update is needed
set(KRITA_VERSION_REVISION 100)
# Uncomment the following if this is currently in the "stable" branch.
# Do not uncomment for master branch.
set(KRITA_STABLE_BRANCH 1)
#set(KRITA_ALPHA 1) # uncomment only for Alpha
#set(KRITA_BETA 1) # uncomment only for Beta
#set(KRITA_RC 1) # uncomment only for RC

if(NOT DEFINED KRITA_ALPHA AND NOT DEFINED KRITA_BETA AND NOT DEFINED KRITA_RC)
    set(KRITA_STABLE 1) # do not edit
endif()

message(STATUS "Krita version: ${KRITA_VERSION_STRING}")

# Define the generic version of the Krita libraries here
# This makes it easy to advance it when the next Krita release comes.
# 14 was the last GENERIC_KRITA_LIB_VERSION_MAJOR of the previous Krita series
# (2.x) so we're starting with 15 in 3.x series, 16 in 4.x series
if(KRITA_STABLE_VERSION_MAJOR EQUAL 5)
    math(EXPR GENERIC_KRITA_LIB_VERSION_MAJOR "${KRITA_STABLE_VERSION_MINOR} + 17")
else()
    # let's make sure we won't forget to update the "16"
    message(FATAL_ERROR "Reminder: please update offset == 16 used to compute GENERIC_KRITA_LIB_VERSION_MAJOR to something bigger")
endif()
set(GENERIC_KRITA_LIB_VERSION "${GENERIC_KRITA_LIB_VERSION_MAJOR}.0.0")
set(GENERIC_KRITA_LIB_SOVERSION "${GENERIC_KRITA_LIB_VERSION_MAJOR}")

LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/kde_macro")

# fetch git revision for the current build

set(KRITA_GIT_SHA1_STRING "")
set(KRITA_GIT_BRANCH_STRING "")

include(GetGitRevisionDescription)
get_git_head_hash(GIT_SHA1)
get_git_branch(GIT_BRANCH)

if(GIT_SHA1)
   string(SUBSTRING ${GIT_SHA1} 0 7 GIT_SHA1)
   set(KRITA_GIT_SHA1_STRING ${GIT_SHA1} CACHE STRING "Git commit of the current build" FORCE)
   if(NOT GIT_BRANCH)
       set(GIT_BRANCH "(detached HEAD)")
   endif()
   set(KRITA_GIT_BRANCH_STRING ${GIT_BRANCH} CACHE STRING "Git branch of the current build" FORCE)
endif()

# create test make targets
enable_testing()
# collect list of broken tests, empty here to start fresh with each cmake run
set(KRITA_BROKEN_TESTS "" CACHE INTERNAL "KRITA_BROKEN_TESTS")
# Keep track of all test target (need special attention on macos)
set(KRITA_TESTS_TARGET "" CACHE INTERNAL "KRITA_TESTS_TARGET")

 ############
#############
## Options ##
#############
############

include(FeatureSummary)

if (WIN32)
option(USE_DRMINGW "Support the Dr. Mingw crash handler (only on windows)" ON)
add_feature_info("Dr. Mingw" USE_DRMINGW "Enable the Dr. Mingw crash handler")
    if (MINGW)
        option(USE_MINGW_HARDENING_LINKER "Enable DEP (NX), ASLR and high-entropy ASLR linker flags (mingw-w64)" ON)
        add_feature_info("Linker Security Flags" USE_MINGW_HARDENING_LINKER "Enable DEP (NX), ASLR and high-entropy ASLR linker flags")
        if (USE_MINGW_HARDENING_LINKER)
            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
            set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
            set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
            # Enable high-entropy ASLR for 64-bit
            # The image base has to be >4GB for HEASLR to be enabled.
            # The values used here are kind of arbitrary.
            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--high-entropy-va -Wl,--image-base,0x140000000")
            set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--high-entropy-va -Wl,--image-base,0x180000000")
            set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--high-entropy-va -Wl,--image-base,0x180000000")
        else (USE_MINGW_HARDENING_LINKER)
            message(WARNING "Linker Security Flags not enabled!")
        endif (USE_MINGW_HARDENING_LINKER)

        # Clang does not generate DWARF aranges data by default, which makes
        # DrMingw not able to parse the DWARF debug symbols. Add -gdwarf-aranges
        # explicitly.
        # See: https://github.com/jrfonseca/drmingw/issues/42#issuecomment-516614561
        if (CMAKE_C_COMPILER_ID STREQUAL "Clang")
            set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -gdwarf-aranges")
        endif ()
        if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
            set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -gdwarf-aranges")
        endif ()
    elseif (MSVC)
        # Increase the stack size to match MinGW's. Prevents crashes with GMic.
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /STACK:4194304")
        set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /STACK:4194304")
        set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} /STACK:4194304")
        option(USE_CONTROL_FLOW_GUARD "Enable Control Flow Guard hardening (MSVC)" ON)
        add_feature_info("Linker Security Flags" USE_CONTROL_FLOW_GUARD "Enable Control Flow Guard")
        if (USE_CONTROL_FLOW_GUARD)
            add_compile_options(/guard:cf)
            add_link_options(/GUARD:CF)
        endif (USE_CONTROL_FLOW_GUARD)
    endif (MINGW)
elseif(ANDROID)
    # Increase the stack size to match MinGW's. Prevents crashes with GMic.
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,stack-size=4194304")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,stack-size=4194304")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,stack-size=4194304")
endif ()

option(HIDE_SAFE_ASSERTS "Don't show message box for \"safe\" asserts, just ignore them automatically and dump a message to the terminal." ON)
add_feature_info("Hide safe asserts" HIDE_SAFE_ASSERTS "Don't show message box for \"safe\" asserts, just ignore them automatically and dump a message to the terminal.")

option(INSTALL_BENCHMARKS "Install benchmarks into the installation root to make them packagable" OFF)
add_feature_info("Install benchmarks" INSTALL_BENCHMARKS "Install benchmarks into the installation root to make them packagable")

option(CRASH_ON_SAFE_ASSERTS "Crash unconditionally whenever a \"safe\" assert happens. Useful for running unittests" OFF)
add_feature_info("Crash on safe asserts" CRASH_ON_SAFE_ASSERTS "Crash unconditionally whenever a \"safe\" assert happens. Useful for running unittests")

configure_file(config-safe-asserts.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-safe-asserts.h)

option(USE_LOCK_FREE_HASH_TABLE "Use lock free hash table instead of blocking." ON)
configure_file(config-hash-table-implementation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-hash-table-implementation.h)
add_feature_info("Lock free hash table" USE_LOCK_FREE_HASH_TABLE "Use lock free hash table instead of blocking.")

option(FOUNDATION_BUILD "A Foundation build is a binary release build that can package some extra things like color themes. Linux distributions that build and install Krita into a default system location should not define this option to true." OFF)
add_feature_info("Foundation Build" FOUNDATION_BUILD "A Foundation build is a binary release build that can package some extra things like color themes. Linux distributions that build and install Krita into a default system location should not define this option to true.")

option(KRITA_ENABLE_BROKEN_TESTS "Enable tests that are marked as broken" OFF)
add_feature_info("Enable Broken Tests" KRITA_ENABLE_BROKEN_TESTS "Runs broken test when \"make test\" is invoked (use -DKRITA_ENABLE_BROKEN_TESTS=ON to enable).")

option(LIMIT_LONG_TESTS "Run long running unittests in a limited quick mode" ON)
configure_file(config-limit-long-tests.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-limit-long-tests.h)
add_feature_info("Limit long tests" LIMIT_LONG_TESTS "Run long running unittests in a limited quick mode")

option(BUILD_KRITA_QT_DESIGNER_PLUGINS "Build Qt Designer plugins for Krita widgets" OFF)
add_feature_info("Build Qt Designer plugins" BUILD_KRITA_QT_DESIGNER_PLUGINS "Builds Qt Designer plugins for Krita widgets (use -DBUILD_KRITA_QT_DESIGNER_PLUGINS=ON to enable).")

option(ENABLE_UPDATERS "Enable updaters/update notifications" ON)
configure_file(config-updaters.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-updaters.h)
add_feature_info("Enable updaters" ENABLE_UPDATERS "Enable updaters/update notifications.")

option(KRITA_ENABLE_PCH "Enable precompiled headers support" OFF)
add_feature_info("Precompiled Headers" KRITA_ENABLE_PCH "precompiled headers make build process faster on some systems")

option(DISABLE_PO_INSTALLATION "Disable installation of po files" OFF)

option(USE_EXTERNAL_RAQM "Fetch Raqm dependency online instead of the embedded one" OFF)

set(ADDRESS_SANITIZER_ENABLED FALSE)
if (ECM_ENABLE_SANITIZERS MATCHES address)
    set(ADDRESS_SANITIZER_ENABLED TRUE)
endif()

=== plugins/impex/raw/CMakeLists.txt ===
add_subdirectory(tests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/libkdcraw/src)

set(krita_raw_import_SOURCES
    kis_raw_import.cpp 
    3rdparty/libkdcraw/src/dcrawsettingswidget.cpp
    3rdparty/libkdcraw/src/libkdcraw_debug.cpp
    3rdparty/libkdcraw/src/rcombobox.cpp
    3rdparty/libkdcraw/src/rexpanderbox.cpp
    3rdparty/libkdcraw/src/rnuminput.cpp
    3rdparty/libkdcraw/src/rsliderspinbox.cpp
    3rdparty/libkdcraw/src/rwidgetutils.cpp
)

ki18n_wrap_ui(krita_raw_import_SOURCES 
    wdgrawimport.ui 
)

kis_add_library(krita_raw_import MODULE ${krita_raw_import_SOURCES})
target_link_libraries(krita_raw_import kritaui KF5::KDcraw kritaexifcommon)

install(TARGETS krita_raw_import  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( PROGRAMS  krita_raw.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== plugins/dockers/storyboarddocker/tests/CMakeLists.txt ===
include(KritaAddBrokenUnitTest)

kis_add_tests(
    StoryboardModelTest.cpp
    StoryboardTimelineSyncTest.cpp
    NAME_PREFIX "plugins-dockers-storyboarddocker-"
    LINK_LIBRARIES kritastoryboarddocker_static kritaui kritatestsdk
    )
